# Changelog

### 2025.11.0

*November 16th, 2025*

New features:

* Add support for loading data with abort signal
  * This loads data with `fetch` as a blob instead of as an image
* Add `bounds` to `loadDataset` response
* Set default data format to WebP

### 2025.3.0

*March 3rd, 2025*

New features:

* Update `loadDatasetData` function `datetime` param to be optional to support loading current data

### 2024.9.0

*September 22nd, 2024*

Minor changes:

* Upgrade to STAC 1.1.0

### 2024.8.2

*August 23rd, 2024*

Bug fixes:

* Validate `datetimeRange` in `loadDatasetSlice`

### 2024.8.1

*August 20th, 2024*

Minor changes:

* Replace TS enums with string constants for cross-bundle compatibility between `weatherlayers-gl` and `weatherlayers-gl/client`
  * <https://www.totaltypescript.com/books/total-typescript-essentials/deriving-types#using-as-const-for-javascript-style-enums>

### 2024.8.0

*August 11th, 2024*

New features:

* Add `UnitSystem.METRIC_KILOMETERS` to allow selecting `km/h` unit

Minor changes:

* Split `UnitDefinition` interface (with `UnitSystem`) from `UnitFormat` interface (without `UnitSystem`)
* Update `datetimeRange` in `loadDataset` response to be open-ended

Bug fixes:

* Fix `referenceDatetime`, `horizon` in `loadDatasetData` response to match the returned data image

### 2024.7.0

*July 20, 2024*

New features:

* Add `datetimeStep` config property
* Add `datetime`, `referenceDatetime`, `horizon` to `loadDatasetData` response

### 2023.8.0

*September 5, 2023*

New features:

* Add `unitSystem` config property

### 2023.5.1

*May 21, 2023*

Bug fixes:

* Fix loading historical data

### 2023.4.0

*April 30, 2023*

New features:

* Add `loadDatasetSlice` function to support loading historical data

Minor changes:

* Use JSON palette instead of plain text


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.weatherlayers.com/weatherlayers-cloud/changelog.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
